let system = server.registerSystem(0,0);

system.initialize = function() {
    this.listenForEvent("portals:player_joined",(eventData) => system.onJoin(eventData));
};
system.onJoin = function(eventData) {
    //Test to see if scoreboard exists
    this.executeCommand(`/scoreboard objectives add portals_data dummy Portals_Data`,(result) => system.scoreboardTest(result));
};

system.scoreboardTest = function(result) {
    //If command succeeded scoreboard does not exist, add scoreboard data
    if (result.data.statusCode === 0) {
        this.runCommand(`/scoreboard players add lime_A___ portals_data 0`);
        this.runCommand(`/scoreboard players add lime_B___ portals_data 0`);
        this.runCommand(`/scoreboard players add blue_A___ portals_data 0`);
        this.runCommand(`/scoreboard players add blue_B___ portals_data 0`);
        this.runCommand(`/scoreboard players add orange_A___ portals_data 0`);
        this.runCommand(`/scoreboard players add orange_B___ portals_data 0`);
        this.runCommand(`/scoreboard players add red_A___ portals_data 0`);
        this.runCommand(`/scoreboard players add red_B___ portals_data 0`);
        this.runCommand(`/scoreboard players add magenta_A___ portals_data 0`);
        this.runCommand(`/scoreboard players add magenta_B___ portals_data 0`);
    }
}
system.update = function () {

};

system.runCommand = function(command) {
	eventData = this.createEventData("minecraft:execute_command")
	eventData.data.command = command
	this.broadcastEvent("minecraft:execute_command",eventData)
}